package com.bocloud.cmp.model;

/**
 * powervc volume metadata
 */
public class VolumeMetadataModel {
    /**
     * 60050768029E0EB8C8000000000000B8
     */
    private String wwn;
    /**
     * true
     */
    private Boolean isImage;
    /**
     * true
     */
    private Boolean isBoot;
    /**
     * 7110bdee-9bb5-4bc5-b2f1-84c4b484bdd8
     */
    private String imageId;

    public VolumeMetadataModel() {
        super();
    }

    public VolumeMetadataModel(String wwn, Boolean isImage, Boolean isBoot, String imageId) {
        this.wwn = wwn;
        this.isImage = isImage;
        this.isBoot = isBoot;
        this.imageId = imageId;
    }

    public String getWwn() {
        return wwn;
    }

    public void setWwn(String wwn) {
        this.wwn = wwn;
    }

    public Boolean getImage() {
        return isImage;
    }

    public void setImage(Boolean image) {
        isImage = image;
    }

    public Boolean getBoot() {
        return isBoot;
    }

    public void setBoot(Boolean boot) {
        isBoot = boot;
    }

    public String getImageId() {
        return imageId;
    }

    public void setImageId(String imageId) {
        this.imageId = imageId;
    }
}
